//
//  MyClass2.swift
//  StrongReferenceCycleProject
//
//  Created by Jon Hoffman on 12/22/14.
//  Copyright (c) 2014 Jon Hoffman. All rights reserved.
//

import Foundation

class MyClass2_Strong {
    var name = ""
    var class1: MyClass1_Strong?
    init(name: String) {
        self.name = name
        print("Inicjalizacja egzemplarza klasy class2_Strong o nazwie \(self.name)")
    }
    deinit {
        print("Usunięcie egzemplarza klasy class2_Strong o nazwie \(self.name)")
    }

}
